[Fai-commit] r5976 - in branches/stable/3.4: bin debian

Michael Prokop mika at alioth.debian.org
Tue Aug 17 12:53:30 UTC 2010


Author: mika
Date: 2010-08-17 12:53:23 +0000 (Tue, 17 Aug 2010)
New Revision: 5976

Modified:
   branches/stable/3.4/bin/make-fai-nfsroot
   branches/stable/3.4/debian/changelog
Log:
remove unneeded else


Conflicts:

	debian/changelog

Signed-off-by: Michael Prokop <mika at grml.org>

Modified: branches/stable/3.4/bin/make-fai-nfsroot
===================================================================
--- branches/stable/3.4/bin/make-fai-nfsroot	2010-08-17 12:53:11 UTC (rev 5975)
+++ branches/stable/3.4/bin/make-fai-nfsroot	2010-08-17 12:53:23 UTC (rev 5976)
@@ -288,15 +288,15 @@
 
     if [ ! -r "$basetgz" ] ; then
       die "Specified $basetgz could not be used."
-    else
-       if cd $NFSROOT ; then
-	 printf "Extracting $basetgz: "
-	 tar -C $NFSROOT -zxpf "$basetgz" || die "Error while extracting ${basetgz} in ${NFSROOT}."
-	 cp "$basetgz" $NFSROOT/var/tmp/base.tgz
-	 touch $NFSROOT/.THIS_IS_THE_FAI_NFSROOT
-	 echo done
-       fi
     fi
+
+    if cd $NFSROOT ; then
+      printf "Extracting $basetgz: "
+      tar -C $NFSROOT -zxpf "$basetgz" || die "Error while extracting ${basetgz} in ${NFSROOT}."
+      cp "$basetgz" $NFSROOT/var/tmp/base.tgz
+      touch $NFSROOT/.THIS_IS_THE_FAI_NFSROOT
+      echo done
+    fi
 }
 # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 create_nfsroot() {

Modified: branches/stable/3.4/debian/changelog
===================================================================
--- branches/stable/3.4/debian/changelog	2010-08-17 12:53:11 UTC (rev 5975)
+++ branches/stable/3.4/debian/changelog	2010-08-17 12:53:23 UTC (rev 5976)
@@ -9,8 +9,11 @@
   * updatebase: remove pre-lenny code
   * make-fai-nfsroot, make-fai-nfsroot.8: add option -B, (closes: #576092)
     (thanks to Mika Prokop for the patch)
+    copy pxelinux.0 to TFTPROOT only if it's not already existing
+    remove unneeded else
   * disk-info: rename subroutine
   * faimond-gui: Tk::Balloon is not used atm.
+  * subroutines: show rx and tx bytes for network device at the end
   
   [ Michael Tautschnig ]
   * control: Move setup-storage to its own package (fai-setup-storage). Thanks




More information about the Fai-commit mailing list